/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements. See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership. The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.apache.deltaspike.core.impl.exception.control;

import org.apache.deltaspike.core.api.provider.BeanProvider;
import org.apache.deltaspike.core.impl.exception.control.extension.ExceptionControlExtension;

import javax.enterprise.context.ApplicationScoped;
import javax.enterprise.inject.Produces;

@ApplicationScoped
@SuppressWarnings("UnusedDeclaration")
public class HandlerMethodStorageProducer
{
    @Produces
    @ApplicationScoped
    protected HandlerMethodStorage createHandlerMethodStorage()
    {
        //X TODO change it back to parameter injection after fixing the test-setup for ExcludeIntegrationTest
        ExceptionControlExtension exceptionControlExtension =
                BeanProvider.getContextualReference(ExceptionControlExtension.class);

        return new HandlerMethodStorageImpl(exceptionControlExtension.getAllExceptionHandlers());
    }
}
